Update an e-invoicing connection

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

einvoicing_connection_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
addressobjectOptional
Integration Address
is_receiverbooleanOptional

Set to true if the entity needs to receive e-invoices.

is_senderbooleanOptional

Set to true if the entity needs to send e-invoices. Either is_sender or is_receiver or both must be true.

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
Date of Integration
updated_atdatetime
Last update of Integration
addressobject
Integration Address
credentialslist of objects
List of credentials
entity_idstringformat: "uuid"
ID of the entity
legal_namestring
Legal name of the Entity
statusstring
Current status of the integration
is_receiverbooleanDefaults to true

Set to true if the entity needs to receive e-invoices.

is_senderbooleanDefaults to true

Set to true if the entity needs to send e-invoices. Either is_sender or is_receiver or both must be true.

provider_idstring
ID assigned by integration partner

Errors

400
Patch Einvoicing Connections ID Request Bad Request Error
401
Patch Einvoicing Connections ID Request Unauthorized Error
403
Patch Einvoicing Connections ID Request Forbidden Error
404
Patch Einvoicing Connections ID Request Not Found Error
409
Patch Einvoicing Connections ID Request Conflict Error
422
Patch Einvoicing Connections ID Request Unprocessable Entity Error
429
Patch Einvoicing Connections ID Request Too Many Requests Error